<template>
  <div class="col-lg-4 col-md-4 col-xs-6 col-sm-6">
    <q-item>
      <q-item-section class="stats-icon">
        <q-icon :name="icon" size="xl" :color="color"/>
      </q-item-section>
      <q-item-section>
        <a :href="href"><q-item-label class="text-h6 text-bold text-uppercase" :class="textColor">{{ title }}</q-item-label></a>
        <q-item-label caption :alt="alt">{{ caption }}<q-tooltip anchor="bottom middle" self="top middle">{{alt}}</q-tooltip></q-item-label>
      </q-item-section>
    </q-item>
  </div>
</template>

<script>
export default {
  props: {title: String,
          icon: String,
          caption: String,
          alt: String,
          href: String,
          color: {type: String, default: "grey-6"}},

  computed: {
     textColor: function () {
       // This is needed because quasar uses text-something as text color
       // class.
       return "text-" + this.color
     }
  }
}
</script>

<style>

.stats-icon {
  max-width: 70px;
  align-content: center;
}

</style>
